Bug 137390 - Adding static routes to 2nd ip address fails
Adding static routes to 2nd ip address fails
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-10-27 20:15 EDT by Steve
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 20:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Static route config script for 2nd address (65 bytes, text/plain)
2004-10-29 19:35 EDT, Steve
no flags Details

  None (edit)
Description Steve 2004-10-27 20:15:06 EDT
Description of problem:
Adding static routing to a 2nd ip address on eth0 fails.  The routes 
are not added when eth0:1 is activated in the network applet

Version-Release number of selected component (if applicable):

How reproducible:

Create 2nd ip ( nm address on 2nd 
interface and take following steps.

Steps to Reproduce:
1. Edit eth0:1 and add static route such as net nm gw
2. Start eth0:1
3. run 'route -n' in terminal
Actual results:
Interface is up without static route

Expected results:
Interface should be up with static route.

Additional info:
Comment 1 Bill Nottingham 2004-10-28 14:37:05 EDT
Can you attach your static route config files?
Comment 2 Steve 2004-10-29 19:35:05 EDT
Created attachment 105968 [details]
Static route config script for 2nd address

doing an "ifup eth0:1" reports:
Cannot find device "eth0:1"
Comment 3 Bill Nottingham 2004-10-29 20:48:56 EDT
Static routes don't work for alias interfaces, actually.

You'll have to add the route to the main device.
Comment 4 Steve 2004-10-30 07:57:08 EDT
route add -net netmask gw dev 

The above works from a terminal when when eth0:1 is up!
Comment 5 Bill Nottingham 2004-10-31 00:38:13 EDT
/sbin/route is deprecated; the ip command is used.

Note You need to log in before you can comment on or make changes to this bug.